//This file is part of Furius Iso Mount. Copyright 2008 Dean Harris (marcus_furius@hotmail.com)
//
//    Furius Iso Mount is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    Furius Iso Mount is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Furius Iso Mount.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.IO;

namespace FuriusIsoMount
{
		
	public class Log
	{		
		/// <summary>
	    /// Writes  to the log
	    /// </summary>
		/// <param name="log">The log file to write to</param>
        /// <param name="message">The message to write to the log</param>
		public static void Write(string log, string message)
		{
			using (StreamWriter writer = File.AppendText(log))
	        {
	            WriteEvent (message, writer);
	            // Close the writer and underlying file.
	            writer.Close();
	        }
		}
		
		/// <summary>
	    /// Writes an event to the log
	    /// </summary>
		/// <param name="logMessage">The message to write to the log</param>
        /// <param name="writer">The TextWriter to write lines to</param>
		private static void WriteEvent (String logMessage, TextWriter writer)
	    {
	        writer.Write(LocalizableResources.LogEntry);
	        writer.WriteLine(" {0} {1}", DateTime.Now.ToLongTimeString(),
	            DateTime.Now.ToLongDateString());
	        writer.WriteLine("  :");
	        writer.WriteLine("  :{0}", logMessage);
	        writer.WriteLine ("-------------------------------");
	        // Update the underlying file.
	        writer.Flush(); 
	    }
		
	}
}
