//This file is part of Furius Iso Mount. Copyright 2008 Dean Harris (marcus_furius@hotmail.com)
//
//    Furius Iso Mount is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    Furius Iso Mount is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Furius Iso Mount.  If not, see <http://www.gnu.org/licenses/>.
using System;
using Gtk;

namespace FuriusIsoMount
{
	/// <summary>
	/// The entry point of the application
	/// </summary>
	class MainClass
	{
		public static void Main (string[] args)
		{
			
//			//Culture Tests
//			System.Globalization.CultureInfo cul = new System.Globalization.CultureInfo("tr-TR");
//			System.Threading.Thread.CurrentThread.CurrentUICulture = cul;
			
			// Find the current user interface culture; if the base culture matches one of our 
			// localized cultures, switch the interface culture to use that. I would have thought,
			// though I could be proven wrong, that using the base culture is preferable to falling
			// back to English(?). 
			string baseCulture = System.Threading.Thread.CurrentThread.CurrentUICulture.EnglishName;
			//Console.WriteLine(System.Threading.Thread.CurrentThread.CurrentUICulture.DisplayName);
			if (baseCulture.StartsWith("German"))
			{
				
				System.Threading.Thread.CurrentThread.CurrentUICulture = 
					new System.Globalization.CultureInfo("de-DE");
			}
			
			if (baseCulture.StartsWith("Spanish"))
			{
				System.Threading.Thread.CurrentThread.CurrentUICulture = 
					new System.Globalization.CultureInfo("es-ES");
			}
			
			//Console.WriteLine(System.Threading.Thread.CurrentThread.CurrentUICulture.DisplayName);
			
			Application.Init ();
			
			MainWindow win = new MainWindow ();
			win.Show ();
			Application.Run ();
		}
	}
}